#!/bin/sh

OPTIONS="-rLt --delete --exclude /.old/"
SRC="rsync@sync-master.club.cc.cmu.edu:dns/"
DEST="/var/rsync/dns/"

if [ x"$1" != x-n ]; then
    dd if=/dev/random bs=1 count=1 2> /dev/null | perl -e 'sleep(ord(<>) % 120)'
fi

logfile=`mktemp --tmpdir rsync-dns.log.XXXXXXXXX`
rsync -e 'ssh -o IdentityFile=/var/rsync/rsync.key -o PreferredAuthentications=publickey -vvv' $OPTIONS $SRC $DEST > $logfile 2>&1 || cat $logfile
rm -f $logfile
